from django.urls import path
from . import views

app_name = 'companies'

urlpatterns = [
    # Company URLs
    path('', views.CompanyListView.as_view(), name='company_list'),
    path('<slug:slug>/', views.CompanyDetailView.as_view(), name='company_detail'),
    
    # Manufacturer URLs
    path('manufacturers/', views.ManufacturerListView.as_view(), name='manufacturer_list'),
    path('manufacturers/<slug:slug>/', views.ManufacturerDetailView.as_view(), name='manufacturer_detail'),
]
